## prometheus-mongodb-exporter 0.0+git20160604.28251cc

=== Makefile ===
test:
	go test github.com/dcu/mongodb_exporter/collector -cover -coverprofile=collector_coverage.out -short
	go tool cover -func=collector_coverage.out
	go test github.com/dcu/mongodb_exporter/shared -cover -coverprofile=shared_coverage.out -short
	go tool cover -func=shared_coverage.out
	@rm *.out

deps:
	go get -u github.com/prometheus/client_golang/prometheus
	go get -u gopkg.in/mgo.v2

build: deps
	go build mongodb_exporter.go

=== debian/changelog ===
prometheus-mongodb-exporter (0.0+git20160604.28251cc-1) unstable; urgency=medium

  * Initial release. (Closes: #827410)

 -- Martín Ferrari <tincho@debian.org>  Wed, 15 Jun 2016 21:12:25 +0000

=== debian/control ===
Source: prometheus-mongodb-exporter
Section: net
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-golang (>= 0.17~), golang-any,
               golang-glog-dev,
               golang-gopkg-mgo.v2-dev,
               golang-prometheus-client-dev,
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus-mongodb-exporter.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/prometheus-mongodb-exporter.git/
Homepage: https://github.com/dcu/mongodb_exporter

Package: prometheus-mongodb-exporter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemon
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for MongoDB
 Prometheus exporter for MongoDB, written in Go.

## prometheus-mongodb-exporter 1.0.0

=== Makefile ===
package = github.com/dcu/mongodb_exporter
TAG := $(shell git tag | sort -r | head -n 1)

test:
	go test github.com/dcu/mongodb_exporter/collector -cover -coverprofile=collector_coverage.out -short
	go tool cover -func=collector_coverage.out
	go test github.com/dcu/mongodb_exporter/shared -cover -coverprofile=shared_coverage.out -short
	go tool cover -func=shared_coverage.out
	@rm *.out

deps:
	glide install

build: deps
	go build mongodb_exporter.go

release: deps
	mkdir -p release
	perl -p -i -e 's/{{VERSION}}/$(TAG)/g' mongodb_exporter.go
	GOOS=darwin GOARCH=amd64 go build -o release/mongodb_exporter-darwin-amd64 $(package)
	GOOS=linux GOARCH=amd64 go build -o release/mongodb_exporter-linux-amd64 $(package)
	perl -p -i -e 's/$(TAG)/{{VERSION}}/g' mongodb_exporter.go

=== debian/changelog ===
prometheus-mongodb-exporter (1.0.0-1) unstable; urgency=medium

  * debian/control: Fix Vcs-* fields.
  * New upstream release.
  * Add systemd unit file.

 -- Martín Ferrari <tincho@debian.org>  Fri, 16 Dec 2016 19:52:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                golang-gopkg-mgo.v2-dev,
                golang-prometheus-client-dev,
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus-mongodb-exporter.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/prometheus-mongodb-exporter.git/
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-mongodb-exporter.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-mongodb-exporter.git
 Homepage: https://github.com/dcu/mongodb_exporter
 
 Package: prometheus-mongodb-exporter

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_GOPKG := github.com/dcu/mongodb_exporter
export DH_GOLANG_INSTALL_EXTRA := collector/fixtures

BUILDDIR := build

DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')

%:
	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

override_dh_auto_install:
	cp -v $(BUILDDIR)/bin/mongodb_exporter \
            debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
            git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
            upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi

## prometheus-mongodb-exporter 1.0.0%2Bgit20180522.e755a44

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1
export DH_GOLANG_INSTALL_EXTRA := collector/fixtures

BUILDDIR := build
DH_GOPKG := github.com/dcu/mongodb_exporter

BUILDFLAGS = -ldflags \
  " -X $(DH_GOPKG)/version.Version=$(DEB_VERSION_UPSTREAM)"

%:
	dh $@ --buildsystem=golang --with=golang \
            --builddirectory=$(BUILDDIR)

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	cp -v $(BUILDDIR)/bin/mongodb_exporter $(BUILDDIR)/bin/$(BINNAME)

override_dh_auto_install:
	dh_install $(BUILDDIR)/bin/$(BINNAME) usr/bin
	dh_installman debian/$(BINNAME).1

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-mongodb-exporter-$1.tar.gz/,dversionmangle=s/\+ds\d*$//" \
         https://github.com/dcu/mongodb_exporter/tags \
         (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## prometheus-mongodb-exporter 1.0.0+git20180522.e755a44

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 release: deps
 	mkdir -p release
-	perl -p -i -e 's/{{VERSION}}/$(TAG)/g' mongodb_exporter.go
+	perl -p -i -e 's/\{\{VERSION}}/$(TAG)/g' mongodb_exporter.go
 	GOOS=darwin GOARCH=amd64 go build -o release/mongodb_exporter-darwin-amd64 $(package)
 	GOOS=linux GOARCH=amd64 go build -o release/mongodb_exporter-linux-amd64 $(package)
-	perl -p -i -e 's/$(TAG)/{{VERSION}}/g' mongodb_exporter.go
+	perl -p -i -e 's/$(TAG)/\{\{VERSION}}/g' mongodb_exporter.go

=== debian/changelog ===
prometheus-mongodb-exporter (1.0.0+git20180522.e755a44-5) unstable; urgency=medium

  [ Martina Ferrari ]
  * Update my name and email address.

  [ Andrej Shadura ]
  * Remove constraints unnecessary since buster.
  * Update standards version to 4.6.2, no changes needed.
  * Use dh-sequence-golang.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 16 Feb 2025 21:09:21 +0100

prometheus-mongodb-exporter (1.0.0+git20180522.e755a44-4) unstable; urgency=medium

  * Add logrotate config snippet.
  * Many packaging improvements from Guillem Jover.
    - Switch to debian/watch version 4
    - Indent debian/watch file
    - Do not enable DH_VERBOSE by default
    - Use '' instead of `' in text
    - Switch from /var/run to /run
    - Add missing Depends on adduser
    - Remove error suppression from postinst
    - Use $() instead of `` in init script
    - Remove unnecessary error suppression from init script
    - Run adduser unconditionally
    - Remove $syslog dependency from init script
    - Change systemd service Restart directive from always to on-failure
    - Rewrite init script using start-stop-daemon
    - Do not change pathname metadata if there are dpkg statoverrides in place
    - Use execute_after_dh_auto_test instead of override_ and an explicit call
    - Merge log files removal into a single entry

 -- Martina Ferrari <tina@debian.org>  Fri, 29 Jan 2021 00:27:35 +0000

prometheus-mongodb-exporter (1.0.0+git20180522.e755a44-3) unstable; urgency=medium

  * Add patch to avoid a panic with newer versions of MongoDB.
    Closes: #942871
  * debian/control: Update S-V to 4.5.1 with no changes.

 -- Martina Ferrari <tina@debian.org>  Thu, 28 Jan 2021 22:56:24 +0000

prometheus-mongodb-exporter (1.0.0+git20180522.e755a44-2) unstable; urgency=medium

  [ Nilesh Patra ]
  * Fix prometheus httphandler. Closes: #952285
  * Add manpage.
  * Add upstream/metadata.
  * Drop compat, switch to debhelper-compat 13.
  * Bump standards version to 4.5.0.
  * Add "Rules-Requires-Root:no".
  * Add "Pre-Depends".

  [ Martina Ferrari ]
  * Unify packaging.
  * Allow using $MONGODB_URL for connection info.
  * Add patch to set version string properly.
  * Fix spelling mistake.

 -- Martina Ferrari <tina@debian.org>  Mon, 18 May 2020 16:47:38 +0000

prometheus-mongodb-exporter (1.0.0+git20180522.e755a44-1) unstable; urgency=medium

  * Team upload.
  * New upstream commits.
  * Update Standards-Version, no changes required.
  * Update long description.

 -- Raúl Benencia <rul@kalgan.cc>  Sun, 05 Aug 2018 19:25:47 -0700

prometheus-mongodb-exporter (1.0.0+git20180116.498ffd6-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Raúl Benencia ]
  * New upstream release. Upstream stopped using tags for releasing its
    code, so we are moving back to versioning the package based on the
    date and commit hash.
  * Replace priority "extra" with "optional"
  * Avoid recursive chown calls.
  * Update debhelper compat.

  [ Martina Ferrari ]
  * Automated cme fixes.
  * Remove unused lintian override.

 -- Martina Ferrari <tina@debian.org>  Wed, 11 Apr 2018 11:02:37 +0000

prometheus-mongodb-exporter (1.0.0-2) unstable; urgency=medium

  [ Martina Ferrari ]
  * Team upload.
  * Fix incorrect version on dh-golang dependency.
  * debian/control: Update package name for client-golang.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Mark package as autopkgtest-able.
  * debian/rules: Replace DH_GOPKG with XS-Go-Import-Path.
  * Automatic fixes to control and copyright from cme.
  * Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk

  [ Michael Stapelberg ]
  * gbp.conf: set debian-branch
  * fix build: DEB_SOURCE instead of DEBSOURCE

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 19:55:52 +0100

=== debian/control ===
Source: prometheus-mongodb-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-prometheus-client-golang-dev,
               golang-glog-dev,
               golang-gopkg-mgo.v2-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-mongodb-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-mongodb-exporter.git
Homepage: https://github.com/dcu/mongodb_exporter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/dcu/mongodb_exporter

Package: prometheus-mongodb-exporter
Architecture: any
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for MongoDB
 Prometheus exporter for MongoDB, written in Go.
 .
 This service scrapes MongoDB stats and exports them via HTTP for Prometheus
 consumption.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_GOLANG_INSTALL_EXTRA := collector/fixtures

BUILDDIR := build
DH_GOPKG := github.com/dcu/mongodb_exporter

BUILDFLAGS = -ldflags \
  " -X $(DH_GOPKG)/version.Version=$(DEB_VERSION_UPSTREAM)"

%:
	dh $@ --buildsystem=golang \
            --builddirectory=$(BUILDDIR)

BINNAME := $(DEB_SOURCE)

execute_after_dh_auto_build:
	# Rename the binary to match the debian package.
	cp -v $(BUILDDIR)/bin/mongodb_exporter $(BUILDDIR)/bin/$(BINNAME)

override_dh_auto_install:
	dh_install $(BUILDDIR)/bin/$(BINNAME) usr/bin
	dh_installman debian/$(BINNAME).1

=== debian/watch ===
version=4

opts="\
    filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-mongodb-exporter-$1.tar.gz/,\
    dversionmangle=s/\+ds\d*$//" \
  https://github.com/dcu/mongodb_exporter/tags \
  (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
